JUCE: juce::midi_ci::MUID Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
juce::midi_ci::MUID Class Reference
juce_midi_ci » ci

A 28-bit ID that uniquely identifies a device taking part in a series of MIDI-CI transactions. More...

`#include <juce_CIMuid.h>`

## Public Member Functions
constexpr uint32_t | get () const
| Returns the ID as a plain integer.
bool | operator== (const MUID other) const
bool | operator!= (const MUID other) const
bool | operator< (const MUID other) const

## Static Public Member Functions
static MUID | makeUnchecked (uint32_t v)
| Converts the provided integer to a MUID without validation that it is within the allowed range.
static std::optional< MUID > | make (uint32_t v)
| Returns a MUID if the provided value is within the valid range for MUID values; otherwise returns nullopt.
static MUID | makeRandom (Random &r)
| Makes a random MUID using the provided random engine.
static constexpr MUID | getBroadcast ()
| Returns the special MUID representing the broadcast address.

## Detailed Description

A 28-bit ID that uniquely identifies a device taking part in a series of MIDI-CI transactions.

## Member Function Documentation

## ◆ get()

constexpr uint32_t juce::midi_ci::MUID::get | ( |  | ) | const
| constexpr

Returns the ID as a plain integer.

## ◆ makeUnchecked()

static MUID juce::midi_ci::MUID::makeUnchecked | ( | uint32_t | v | ) |
| static

Converts the provided integer to a MUID without validation that it is within the allowed range.

References jassert.

Referenced by make(), and makeRandom().

## ◆ make()

static std::optional< MUID > juce::midi_ci::MUID::make | ( | uint32_t | v | ) |
| static

Returns a MUID if the provided value is within the valid range for MUID values; otherwise returns nullopt.

References makeUnchecked().

## ◆ makeRandom()

static MUID juce::midi_ci::MUID::makeRandom | ( | Random & | r | ) |
| static

Makes a random MUID using the provided random engine.

References makeUnchecked(), and Random::nextInt().

## ◆ operator==()

bool juce::midi_ci::MUID::operator== | ( | const MUID | other | ) | const

## ◆ operator!=()

bool juce::midi_ci::MUID::operator!= | ( | const MUID | other | ) | const

## ◆ operator<()

bool juce::midi_ci::MUID::operator< | ( | const MUID | other | ) | const

## ◆ getBroadcast()

static constexpr MUID juce::midi_ci::MUID::getBroadcast | ( |  | ) |
| staticconstexpr

Returns the special MUID representing the broadcast address.

The documentation for this class was generated from the following file:

- juce_CIMuid.h